Kdenlive   bug tracker Home page

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000484KdenliveMLTpublic2008-12-17 10:592008-12-29 15:37
Reporterjmpoure 
Assigned To 
PriorityurgentSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
Platform64 bitOSDebian LinuxOS Version4.0
Product VersionRecent git 
Target VersionFixed in Version0.7.1 
Summary0000484: Does inigo really use multi-threading decoding?
DescriptionWhen testing AVCHD files from our footage page, I doubt that Kdenlive uses multi-threading decoding.

Page: http://www.kdenlive.org/developer-manual/footage [^]
Select: decode using 4 threads

Nothing happens in display, slow motion.
I wonder if Inigo is able to display using ffmpeg 'threads' option.
TagsNo tags attached.
Build/Install MethodManual build from SVN
Attached Files

- Relationships

-  Notes
(0001756)
jmpoure (developer)
2008-12-17 11:06

jmpoure@debian:~/Desktop/avchd$ ffmpeg -threads 4 -i avchd-test-1.mts -acodec copy -vcodec rawvideo avchd-test.avi
FFmpeg version SVN-r16185, Copyright (c) 2000-2008 Fabrice Bellard, et al.
  configuration: --prefix=/usr --libdir=/usr/lib --shlibdir=/usr/lib --incdir=/usr/include/ffmpeg --enable-shared --enable-libmp3lame --enable-gpl --enable-libfaad --enable-libvorbis --enable-pthreads --enable-libfaac --enable-libxvid --enable-postproc --enable-x11grab --enable-libgsm --enable-libx264 --enable-libtheora --enable-swscale --enable-libdc1394 --enable-nonfree --disable-stripping --enable-avfilter --enable-libdirac --disable-decoder=libdirac --enable-libschroedinger --disable-encoder=libschroedinger --enable-libspeex --enable-avfilter-lavf --enable-xvmc
  libavutil 49.12. 0 / 49.12. 0
  libavcodec 52. 7. 0 / 52. 7. 0
  libavformat 52.23. 1 / 52.23. 1
  libavdevice 52. 1. 0 / 52. 1. 0
  libavfilter 0. 1. 0 / 0. 1. 0
  libswscale 0. 6. 1 / 0. 6. 1
  libpostproc 51. 2. 0 / 51. 2. 0
  built on Dec 17 2008 09:28:50, gcc: 4.3.2
Input #0, mpegts, from 'avchd-test-1.mts':
  Duration: 00:00:09.85, start: 1.040000, bitrate: 16676 kb/s
  Program 1
    Stream #0.0[0x1011]: Video: h264, yuv420p, 1920x1080 [PAR 1:1 DAR 16:9], 25.00 tb(r)
    Stream #0.1[0x1100]: Audio: ac3, 48000 Hz, 5.1, s16, 448 kb/s
File 'avchd-test.avi' already exists. Overwrite ? [y/N] y
Output #0, avi, to 'avchd-test.avi':
    Stream #0.0: Video: rawvideo, yuv420p, 1920x1080 [PAR 1:1 DAR 16:9], q=2-31, 200 kb/s, 25.00 tb(c)
    Stream #0.1: Audio: ac3, 48000 Hz, 5.1, s16, 448 kb/s
Stream mapping:
  Stream #0.0 -> #0.0
  Stream #0.1 -> #0.1
Press [q] to stop encoding
[h264 @ 0x1fd2b80]Cannot parallelize deblocking type 1, decoding such frames in sequential order
frame= 219 fps= 16 q=0.0 Lsize= 665449kB time=8.26 bitrate=660290.2kbits/s
video:665212kB audio:215kB global headers:0kB muxing overhead 0.003145%
(0001757)
jmpoure (developer)
2008-12-17 11:07

Cannot decode AVCHD using multithreading.

- Issue History
Date Modified Username Field Change
2008-12-17 10:59 jmpoure New Issue
2008-12-17 10:59 jmpoure Build/Install Method => Manual build from SVN
2008-12-17 11:06 jmpoure Note Added: 0001756
2008-12-17 11:07 jmpoure Note Added: 0001757
2008-12-17 11:07 jmpoure Status new => resolved
2008-12-17 11:07 jmpoure Resolution open => fixed
2008-12-22 22:12 madsdyd Fixed in Version => Recent git
2008-12-29 15:36 madsdyd Fixed in Version Recent git => 0.7.1
2008-12-29 15:37 madsdyd Status resolved => closed


Copyright © 2000 - 2014 MantisBT Team
Powered by Mantis Bugtracker